---
 eclass/python-utils-r1.eclass | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 1362ff9..0a04e12 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -891,7 +891,7 @@ python_wrapper_setup() {
                # note: we don't use symlinks because python likes to do some
                # symlink reading magic that breaks stuff
                # https://bugs.gentoo.org/show_bug.cgi?id=555752
-               cat > "${workdir}/bin/python" <<-_EOF_
+               cat > "${workdir}/bin/python" <<-_EOF_ || die
                        #!/bin/sh
                        exec "${PYTHON}" "\${@}"
                _EOF_
@@ -904,7 +904,7 @@ python_wrapper_setup() {
                if [[ ${EPYTHON} == python* ]]; then
                        python_export "${impl}" PYTHON_CONFIG
 
-                       cat > "${workdir}/bin/python-config" <<-_EOF_
+                       cat > "${workdir}/bin/python-config" <<-_EOF_ || die
                                #!/bin/sh
                                exec "${PYTHON_CONFIG}" "\${@}"
                        _EOF_
@@ -926,7 +926,7 @@ python_wrapper_setup() {
 
                local x
                for x in "${nonsupp[@]}"; do
-                       cat >"${workdir}"/bin/${x} <<__EOF__
+                       cat >"${workdir}"/bin/${x} <<__EOF__ || die
 #!/bin/sh
 echo "${x} is not supported by ${EPYTHON}" >&2
 exit 127
-- 
2.6.3


Reply via email to